﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFighter
{
    internal class EntityAirFighter
    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; private set; }

        public float Step => Speed * 100 / Weight;

        public EntityAirFighter(int speed, float weight, Color bodyColor)
        {
            Random rnd = new();

            Speed = speed <= 0 ? rnd.Next(50, 150) : speed;
            Weight = weight <= 0 ? rnd.Next(50, 70) : weight;
            BodyColor = bodyColor;
        }
    }
}
